Update fetch_helm_deps.sh

Signed-off-by: Kjeld Schouten-Lebbing <kjeld@schouten-lebbing.nl>
This commit is contained in:
Kjeld Schouten-Lebbing 2022-11-12 15:37:44 +01:00 committed by GitHub
parent 27548259e2
commit 8c25487408
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
1 changed files with 5 additions and 5 deletions

View File

@ -55,15 +55,15 @@ for train in "${trains[@]}"; do
wget --quiet "$dep_url" -P "$cache_path/" wget --quiet "$dep_url" -P "$cache_path/"
if [ ! $? ]; then if [ ! $? ]; then
echo "❌ wget encountered an error..." echo "❌ wget encountered an error..."
exit 1 helm dependency build "$charts_ath/$train/$chart/Chart.yaml" || helm dependency update "$charts_ath/$train/$chart/Chart.yaml" || exit 1
fi fi
if [ -f "$cache_path/$name-$version.tgz" ]; then if [ -f "$cache_path/$name-$version.tgz" ]; then
echo "✅ Dependency Downloaded!" echo "✅ Dependency Downloaded!"
else else
echo "❌ Failed to download dependency" echo "❌ Failed to download dependency"
# Fail fast if a dep fails to download... # Try helm dependency build/update or otherwise fail fast if a dep fails to download...
exit 1 helm dependency build "$charts_ath/$train/$chart/Chart.yaml" || helm dependency update "$charts_ath/$train/$chart/Chart.yaml" || exit 1
fi fi
fi fi
echo "" echo ""
@ -77,8 +77,8 @@ for train in "${trains[@]}"; do
echo "" echo ""
else else
echo "❌ Failed to copy dependency" echo "❌ Failed to copy dependency"
# Fail fast if a dep fails to copy... # Try helm dependency build/update or otherwise fail fast if a dep fails to copy...
exit 1 ehelm dependency build "$charts_ath/$train/$chart/Chart.yaml" || helm dependency update "$charts_ath/$train/$chart/Chart.yaml" || exit 1
fi fi
fi fi
done done